Returns all bank statement submissions for a user
curl --request GET \
--url https://api.sandbox.goteal.co/bankstatements/{user_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sandbox.goteal.co/bankstatements/{user_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.sandbox.goteal.co/bankstatements/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"offset": 75,
"limit": 25,
"count": 14,
"total_count": 89
},
"bank_statement_submissions": [
{
"id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"created_at": "2019-05-17T00:00:00.000Z",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_external_id": "<string>",
"document_filename": "<string>",
"account_information": {
"account_holder_name": "JANE DOE",
"account_number": "12345678",
"sort_code": "12-34-56",
"bank_name": "HSBC",
"iban": "<string>"
},
"statement_period": {
"start_date": "2024-01-01",
"end_date": "2024-01-31"
},
"balance_information": {
"opening_balance": "1,000.00",
"closing_balance": "1,250.00"
},
"transactions": [
{
"date": "2024-01-15",
"description": "Salary Payment",
"amount": "2,500.00",
"type": "credit"
}
],
"bank_statement_probability": 0.95
}
]
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}Doc Scan
List bank statement submissions
Retrieve paginated bank statement submissions for a given user. Each submission includes the extracted data (account information, statement period, balance information, and transactions) when available.
GET
/
bankstatements
/
{user_id}
Returns all bank statement submissions for a user
Authorizations
ApiKeyAuthMemberBearerAuth
Path Parameters
ID of the user to get bank statements for
Query Parameters
The offset to start at
Required range:
x >= 0The number of items to return
Required range:
1 <= x <= 1000Filter out bank statements created before the given date
Example:
"2024-01-01T00:00:00.000Z"
Filter out bank statements created after the given date
Example:
"2024-12-31T23:59:59.000Z"
⌘I